Welcome, Guest
Username: Password: Remember me
08 Apr 2018
INDI development team is happy to announce the release of INDI Library v1.7.0. This new exciting release builds on the maturity of INDI Library and comes with many new supported devices and fixes for existing drivers.
Read More...
  • Page:
  • 1

TOPIC: compilation problem of pyindiclient ubuntu 16.04 LTS

compilation problem of pyindiclient ubuntu 16.04 LTS 3 months 2 weeks ago #22209

Hello everyone,

I'm trying to "pip3 install" or "python3 setup-install" the python client module pyindi-client on a ubuntu 16.04 LTS machine, but I get an error:

/usr/include/c++/5/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support #for the ISO C++ 2011 standard. This support must be enabled #with the -std=c++11 or -std=gnu++11 compiler options.

cf full log included below.

Indeed, I can solve the error by introducing "-std=c++11" in the compiler. When done, the gcc creates a .o in the ad hoc build/. without any error!
But, I restart the setup.py install, the process is done over again without skiping existing .o, so I need to find where to put this compiler option within the
pyindi-client-0.2.1 distrib. Do you know that?

Any help would be greatly appreciated!

Remi

running build
running build_ext
building '_PyIndi' extension
swigging indiclientpython.i to indiclientpython_wrap.cpp
swig -python -v -Wall -c++ -threads -I/usr/include -I/usr/include/libindi -o indiclientpython_wrap.cpp indiclientpython.i
Language subdirectory: python
Search paths:
./
/usr/include/
/usr/include/libindi/
./swig_lib/python/
/usr/share/swig3.0/python/
./swig_lib/
/usr/share/swig3.0/
Preprocessing...
Starting language-specific parse...
/usr/include/libindi/baseclient.h:33: Warning 322: Redundant redeclaration of 'MAXRBUF',
/usr/include/libindi/indibase.h:8: Warning 322: previous declaration of 'MAXRBUF'.
/usr/include/libindi/baseclient.h:238: Warning 325: Nested struct not currently supported (BLOBMode ignored)
/usr/include/libindi/basedevice.h:29: Warning 322: Redundant redeclaration of 'MAXRBUF',
/usr/include/libindi/indibase.h:8: Warning 322: previous declaration of 'MAXRBUF'.
Processing types...
C++ analysis...
/usr/include/libindi/baseclient.h:55: Warning 403: Class 'INDI::BaseClient' might be abstract, no constructors generated,
/usr/include/libindi/indibase.h:83: Warning 403: Method INDI::BaseMediator::newDevice(INDI::BaseDevice *) might not be implemented.
Processing nested classes...
Generating wrappers...
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include -I/usr/include/libindi -I/usr/include/python3.5m -c indiclientpython_wrap.cpp -o build/temp.linux-x86_64-3.5/indiclientpython_wrap.o
cc1plus: warning: command line option ‘-Wstrict-prototypes’ is valid for C/ObjC but not for C++
In file included from /usr/include/c++/5/thread:35:0,
from /usr/include/libindi/baseclient.h:27,
from indiclientpython_wrap.cpp:3610:
/usr/include/c++/5/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support #for the ISO C++ 2011 standard. This support must be enabled #with the -std=c++11 or -std=gnu++11 compiler options.
#error This file requires compiler and library support \
^
In file included from indiclientpython_wrap.cpp:3610:0:
/usr/include/libindi/baseclient.h:254:5: warning: identifier ‘nullptr’ is a keyword in C++11 [-Wc++0x-compat]
std::thread *listen_thread=nullptr;
^
/usr/include/libindi/baseclient.h:254:10: error: ‘thread’ in namespace ‘std’ does not name a type
std::thread *listen_thread=nullptr;
^
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Please Log in or Create an account to join the conversation.

compilation problem of pyindiclient ubuntu 16.04 LTS 3 months 2 weeks ago #22212

OK, I answer my own topic, because I found a solution in the forum... after a fair number of hours.

The answer to how do I add a compilation option to an existing distribution of pyindi-client is, go in setup.py file and edit the section (red color edit):

pyindi_module = Extension('_PyIndi',
sources=,
language='c++',
extra_compile_args=[ '-std=c++11'],
extra_objects = [join(libindipath, 'libindiclient.a')]

That worked perfectly in my case.

Cheers,

Remi
The following user(s) said Thank You: knro, geehalel

Please Log in or Create an account to join the conversation.

compilation problem of pyindiclient ubuntu 16.04 LTS 3 months 1 week ago #22269

Hi Rémi,
Thanks for reporting (and for giving the answer), I don't rebuild the package very often.
I just made the update on pypy.org (version 0.2.2).
Jean-Luc.

Please Log in or Create an account to join the conversation.

  • Page:
  • 1
Time to create page: 0.083 seconds

Login



3rd Party

Choose from the numerous 3rd party INDI drivers to suit your needs!

Got Problem?

Check out the FAQ, the forum, and the bug tracking system to resolve any issues you might have!
You can also subscribe to INDI newsletter and development mailing lists to get the latest updates on INDI!


Gallery

Replica

Why INDI

Replica